//	if you are using the BL17xx, please uncomment the following line
//#use eziobl17.lib

#use vdriver.lib
#use v256x64.lib
#use glcd.lib

main() {
	unsigned long timeMark;
	
	VdInit();
	glInit();
	glBlankScreen();
	while (1) {
		glBlankScreen();
		glSetBrushType(GL_XOR);
		glFillPolygon(5,23,45,88,63,43,0,99,56,2,1);
		glFillCircle(64,32,24);
		glSetBrushType(GL_SET);
		timeMark = MS_TIMER;
		while (MS_TIMER-timeMark < 500);
		glBlankScreen();
		glPlotPolygon(5,23,45,88,63,43,0,99,56,2,1);
		glPlotCircle(64,32,24);
		timeMark = MS_TIMER;
		while (MS_TIMER-timeMark < 500);
	}
}
